> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mapp.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Find segment plans
> Returns a paged list of segment plans (without node detail). Filter, sort and paging criteria are supplied in the request body; all fields are optional - send an empty body or {} to list with server defaults.
Body fields (all optional):
"field,asc|desc"; the first entry is the primary key, the rest are tie-breakers. E.g. "overviewCount.size,desc", "createdOn,asc".draft or published.{
"page": 0,
"size": 3,
"sort": ["overviewCount.size,desc", "createdOn,asc"],
"name": "544"
}
## OpenAPI
````json POST /segmentation/find
{
"openapi": "3.0.4",
"info": {
"title": "Engage public API",
"version": "1"
},
"servers": [
{
"url": "https://your-engage-domain.com/api/rest"
}
],
"tags": [
{
"name": "Address Attributes"
},
{
"name": "Async"
},
{
"name": "Audit Log"
},
{
"name": "Automation"
},
{
"name": "Blacklist"
},
{
"name": "CMS"
},
{
"name": "Contact"
},
{
"name": "Content"
},
{
"name": "Coupon"
},
{
"name": "Draft Message"
},
{
"name": "Ecommerce"
},
{
"name": "Group"
},
{
"name": "Group Attributes"
},
{
"name": "Landing Page"
},
{
"name": "Member Attributes"
},
{
"name": "Membership"
},
{
"name": "Message"
},
{
"name": "Meta"
},
{
"name": "Mobile Push"
},
{
"name": "Prepared Message"
},
{
"name": "Process"
},
{
"name": "Profile Attributes"
},
{
"name": "Related Data"
},
{
"name": "Segmentation"
},
{
"name": "System"
},
{
"name": "System User"
},
{
"name": "Usage Statistics"
},
{
"name": "User"
},
{
"name": "Whiteboard"
}
],
"paths": {
"/segmentation/find": {
"post": {
"tags": [
"Segmentation"
],
"summary": "Find segment plans",
"description": "Returns a paged list of segment plans (without node detail). Filter, sort and paging criteria are supplied in the request body; all fields are optional - send an empty body or {} to list with server defaults.\"field,asc|desc\"; the first entry is the primary key, the rest are tie-breakers. E.g. \"overviewCount.size,desc\", \"createdOn,asc\".draft or published.{\n \"page\": 0,\n \"size\": 3,\n \"sort\": [\"overviewCount.size,desc\", \"createdOn,asc\"],\n \"name\": \"544\"\n}",
"operationId": "find",
"requestBody": {
"description": "Filter, sort and paging criteria. All fields optional - send {} for server defaults. See the operation description for the full field list.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/SegmentationSearchRequest"
}
}
},
"x-bodyName": "body"
},
"responses": {
"200": {
"description": "A paged list of matching plans (without node detail).",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/SegmentationSearchResult"
}
}
}
},
"400": {
"description": "bad request",
"content": {
"application/json": {}
}
}
}
}
}
},
"components": {
"schemas": {
"SegmentationSearchRequest": {
"type": "object",
"properties": {
"page": {
"type": "integer",
"format": "int32"
},
"size": {
"type": "integer",
"format": "int32"
},
"sort": {
"type": "array",
"items": {
"type": "string"
}
},
"name": {
"type": "string"
},
"status": {
"type": "string"
},
"labels": {
"type": "string"
},
"id": {
"type": "string"
},
"selectionTermId": {
"type": "string"
},
"createdByName": {
"type": "string"
},
"createdBefore": {
"type": "string"
},
"updatedBefore": {
"type": "string"
},
"publishedBefore": {
"type": "string"
}
}
},
"SegmentationSearchResult": {
"type": "object",
"properties": {
"segmentationSummary": {
"type": "array",
"items": {
"$ref": "#/components/schemas/SegmentationSummary"
}
},
"number": {
"type": "integer",
"format": "int32"
},
"size": {
"type": "integer",
"format": "int32"
},
"totalElements": {
"type": "integer",
"format": "int64"
},
"totalPages": {
"type": "integer",
"format": "int32"
}
}
},
"SegmentationSummary": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"status": {
"type": "string"
},
"timeZoneId": {
"type": "string"
},
"termId": {
"type": "integer",
"format": "int64"
},
"labels": {
"type": "array",
"items": {
"type": "string"
}
},
"createdBy": {
"$ref": "#/components/schemas/UserReference"
},
"createdOn": {
"type": "string"
},
"publishedBy": {
"$ref": "#/components/schemas/UserReference"
},
"publishedOn": {
"type": "string"
},
"updatedBy": {
"$ref": "#/components/schemas/UserReference"
},
"updatedOn": {
"type": "string"
},
"overviewCount": {
"type": "integer",
"format": "int64"
},
"overviewCountStatus": {
"type": "string"
},
"overviewCountOn": {
"type": "string"
}
}
},
"UserReference": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"firstName": {
"type": "string"
},
"lastName": {
"type": "string"
},
"email": {
"type": "string"
}
}
}
}
}
}
````